using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

namespace MyFirstCustomControl
{
	/// <summary>
	/// WebCustomControl1 的摘要说明。
	/// </summary>
	public class HelloWorld : Control
	{
		
		/// <summary>
		/// 将此控件呈现给指定的输出参数。
		/// </summary>
		/// <param name="output"> 要写出到的 HTML 编写器 </param>
		protected override void Render(HtmlTextWriter output)
		{
			output.WriteLine("Hello World!");
	        output.WriteLine("The time is now " + DateTime.Now.ToString());

		}
	}
}
